2002-11-09  Masatake YAMATO  <jet@gyve.org>

	* configure.in: version 0.31.1.
	echo building configuration at the
	end of configure.

2002-11-09  Masatake YAMATO  <jet@gyve.org>

	* autotrace.h: Don't define _().

	* configure.in: LT_CURRENT=3.
	See my change at 2002-10-31.

2002-11-09 Martin Weber <martweb@gmx.net>

	* output-dr2d.c (BuildDRHD::FloatAsIEEEBytes): 
	Change the position where the datum is written.

	Message-ID: <3DCBECAB.6198C58D@gmx.net>.

2002-11-09 Martin Weber <martweb@gmx.net>

	* output-dxf.c (output_layer): move the
	declaration of last_color to the out of loop.

	Message-ID: <3DCBC646.8B714DA2@gmx.net>.

2002-11-09 Martin Weber <martweb@gmx.net>

	* pxl-outline.c (find_one_centerline): search_dir,
	an argument, is now actual value, not a pointer.
	(*): passed a value to find_one_centerline at
	the function argument, search_dir.
	(*): fix a broken log fromat string.

	Message-ID: <3DCBBBC9.A3F8985E@gmx.net>.

2002-11-08 Martin Weber <martweb@gmx.net>

	* pxl-outline.c: Big changes again that fix a bug 
	related to centerline tracing. NOTE: A bug is still existed.

	Message-ID: <3DCAAAD7.F55305EA@gmx.net>.

2002-11-07  Martin Weber <martweb@gmx.net>

	* filename.c: Removed some 64 and 128 bit problems.
	* input.c: ditto.
	* output-cgm.c: ditto.
	* output-emf.c: ditto.
	* output-pdf.c: ditto.
	* output.c: ditto.
	* strgicmp.c: ditto.
	* strgicmp.h: ditto.

	Message-ID: <3DC96244.A37B85BB@gmx.net>.

2002-11-07  Masatake YAMATO  <jet@gyve.org>

	* spline.[ch]: Removed unused ifdefs.

2002-11-04  Martin Weber <martweb@gmx.net>

	* fit.c: fix code broken by Masatake at 
	2002-11-04.
	
2002-11-04  Masatake YAMATO  <jet@gyve.org>

	* fit.c (new_fitting_opts::error_threshold): 
	Fix the default value to 2.0.

2002-11-03  Masatake YAMATO  <jet@gyve.org>

	* fit.[ch]: Removed unused ifdefs.

2002-10-31  Masatake YAMATO  <jet@gyve.org>

	* *: width_factor, weight_factor -> width_weight_factor.

	* configure.in: added -lm to the macro
	that checks libpng. Suggested by jlm <jsado@attbi.com>.

2002-10-29  Martin Weber <martweb@gmx.net>

	* pxl-outline.c (is_valid_dir): used
	COMPUTE_DELTA twice to avoid a bug.

	Message-ID: <3DBEDC7E.9F1FD467@gmx.net>.

2002-10-30  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Display more messages
	while checking pstoedit twice.
	Suggested by Markus Demleitner 
	<msdemlei@cl.uni-heidelberg.de>.

2002-10-29  Martin Weber <martweb@gmx.net>

	* pxl-outline.c (num_neighbors): New function.
	(find_centerline_pixels): Use num_neighbors.

	Message-ID: <3DBEB1A2.4CC602BA@gmx.net>.

2002-10-29  Masatake YAMATO  <jet@gyve.org>

	* input-magick.c (input_magick_reader): Do DestroyImage
	before DestroyImageInfo.

	* main.c (main): Put a space in a message(inputformat).
	(read_command_line): Fix a typo.

2002-10-26  Ralf Stubner <ralf.stubner@physik.uni-erlangen.de>

	* autotrace.c: #include "output-pstoedit.h"
	with ifdef. 

2002-10-24  Masatake YAMATO  <jet@gyve.org>

	* configure.in: version 0.31.0.

2002-10-24  Martin Weber <martweb@gmx.net>

	* autotrace.dsp (RSC): Version 0.31.

	* autotrace.vcproj: Ditto.
	
2002-10-23  Martin Weber <martweb@gmx.net>

	* pxl-outline.c (is_valid_dir): 
	removed comment.

	* NEWS: updated.
	
	Message-ID: <21731.1035350777@www20.gmx.net>.
	
2002-10-23  Masatake YAMATO  <jet@gyve.org>

	* output-pstoedit.c (get_symbolicname) 
	(pstoedit_suffix_table_init): free return
	value of getPstoeditDriverInfo_plainC.
	(get_symbolicname): returned value is strdup'ed.
	(output_pstoedit_writer): free symbolicname.

	* output-pstoedit.[ch]: rewrote code that 
	handles suffix.

	* autotrace.c (at_splines_write): Use output_pstoedit_invoke_writer
	if output_pstoedit_is_writer returns true for output_writer.

	* HACKING: Updated about autotools.

2002-10-22  Masatake YAMATO  <jet@gyve.org>

	* output-pstoedit.c (remove_temporary_file): Renamed
	from remove_tmpfile.
	(output_pstoedit_writer): Make static.

	* pxl-outline.[ch]: removed unsed ifdefs.

2002-10-22  Martin Weber <martweb@gmx.net>

	* pxl-outline.c: Big changes that fix a bug 
	related to centerline tracing.

2002-10-21  Martin Weber <martweb@gmx.net>

	* input-magick.c: Checked autotrace works with
	ImageMagick-5.5.2.

	Message-ID: <3DB448EA.E3A63661@gmx.net>.

2002-10-20  Masatake YAMATO  <jet@gyve.org>

	* autogen.sh: checked aclocal-1.4, automake-1.4
	and autoconf-2.53 are available or not.

	* autotrace.h: defined N_ and _ only if they are
	not defined.

2002-10-10  Martin Weber <martweb@gmx.net>

	* autotrace.1: updated again.

2002-10-10  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Use ' instead of " to retrieve
	MAGICK_MAJOR_VERSION.

2002-10-10  Martin Weber <martweb@gmx.net>

	* autotrace.1: updated.

2002-10-10  Masatake YAMATO  <jet@gyve.org>

	* main.c (USAGE2): added <real> to width-factor.

2002-10-09  Masatake YAMATO  <jet@gyve.org>

	* FAQ: Fix a typo. Suggested by Martin.

	* configure.in: version 0.30.8.
	Updated cocuments.

2002-10-08  Martin Weber <martweb@gmx.net>

	* input-magick.c (input_magick_reader): Use AT_ macros.
	antialiasing is switched off. Update comments. autotrace
	is ready for ImageMagick 5.4.9.

	Message-ID: <3DA2FFF4.5D564F9@gmx.net>.
	
2002-10-08  Martin Weber <martweb@gmx.net>

	* fit.c (split_at_corners, fit_curve_list): 
	handle very small objects.

	Message-ID: <3DA1C87D.786E8E52@gmx.net>
	Message-ID: <3DA1DB6F.1DDA16A1@gmx.net>
	
2002-10-08  Masatake YAMATO  <jet@gyve.org>

	* autotrace.h (at_doc__width_factor): added
	label for width_factor.

2002-10-07  Masatake YAMATO  <jet@gyve.org>

	* input-magick.c (input_magick_reader): removed
	comments. suggested by Martin.

2002-10-07  Martin Weber <martweb@gmx.net>

	* output-eps.c (out_splines): Now the eps output is 
	interpreted correctly by CorelDraw.

	Message-ID: <3DA063E6.32835C45@gmx.net>.

2002-10-07  Martin Weber <martweb@gmx.net>

	* fit.c (find_tangent): fixed a bug in tangent
	calculation.

	Message-ID: <3DA09336.DB788C68@gmx.net>.

2002-10-06  Masatake YAMATO  <jet@gyve.org>

	* pxl-outline.c (free_pixel_outline): New function.
	(CHECK_FATAL_DO): new macro.
	(find_outline_pixels): free outline_list if an exception
	is raised.
	(find_one_outline): free outline if an exception is
	raised.
	(find_centerline_pixels): free outline if  an exception
	is raised. use free_pixel_outline.

2002-10-06  Masatake YAMATO  <jet@gyve.org>

	* pxl-outline.c (find_centerline_pixels): free
	unused outline and partial_outline after using.

	* input-magick.c (input_magick_reader): freed
	image_info and image.

	* output.c (at_output_shortlist): driverdescription
	is freed.

	* median.c (quantize): removed debug print.

	* input*.[ch]: renamed all loader.

	* input-magick.c: added a forgotten argument.

2002-10-04  Masatake YAMATO  <jet@gyve.org>

	* quantize.h: Added a declaration for 
	quantize_object_free.

	* spline.[ch] (new_spline_list_with_spline): Renamed
	from init_spline_list.

	* fit.c (fit_curve_list): deleted temp.

	* median.c (quantize_object_free): New function.
	(quantize): Use quantize_object_free.

	* autotrace.c (at_bitmap_read): Set new_opts.

2002-10-03  Masatake YAMATO  <jet@gyve.org>

	* README: Updated.

2002-10-03  Martin Weber <martweb@gmx.net>

	* autotrace.dsp: Updated.

2002-10-02  Masatake YAMATO  <jet@gyve.org>

	* exception.h: renamed a type at_exception to at_exception_type.

	* * (*): used at_exception_type.

	* autotrace.h (at_doc__preserve_width::width_factor): 
	new member.
	(struct _at_spline_list_array_type): Likewise.
	(_, N_): New dummy macro for gettext.

2002-09-29  Masatake YAMATO  <jet@gyve.org>

	* * (*): at_output_opts_type is introduced.

2002-09-29  Martin Weber <martweb@gmx.net>

	README: added new option
	image-proc.c: removed warnings

	Message-ID: <3D97211D.85F25D9C@gmx.net>.

2002-09-29  Martin Weber <martweb@gmx.net>

	*: now recognizes the line width
	median.c: bugfix

	Message-ID: <3D96F758.2B17DAB9@gmx.net>.

2002-09-29  Masatake YAMATO  <jet@gyve.org>

	* input-png.c (read_png): my_bg.gray is 
	multiplied by 256.

	* autotrace.c (at_bitmap_read): If opts 
	is null, give dummy to a handler.
	(at_input_opts_copy): New function.

	* configure.in: update library version.
	LC_CURRENT=2, LT_REVISION=0, LT_AGE=0.

	* main.c (main): Use new input opts.

	* autotrace.h (at_input_read_func): added a new 
	argrument.
	(at_bitmap_read): added the new argrument.

	* input-*.[ch] (*_load_image): added the new argrument.

	* input-png.c (read_png): Use background in the input option
	if the option is given. Otherwise, use white.
	
	* autotrace.c (at_input_opts_new, at_input_opts_free): 
	New functions.

	* autotrace.h (struct _at_input_opts_type): New 
	data type.

2002-09-29  Martin Weber <martweb@gmx.net>

	* pxl-outline.c: I introduced a bug in pxl-outline.c. 
	change back to the version used in 0.30.5.

	Message-ID: <3D96120F.2780C779@gmx.net>.
	
2002-09-28  Masatake YAMATO  <jet@gyve.org>

	* input-png.c (read_png): New function that can
	handle transparent region (just fill with white). 
	(load_image): use read_png.

2002-09-27  Martin Weber <martweb@gmx.net>

	* pxl-outline.c (find_centerline_pixels): During speed up 
	the code I introduced a bug. Here the fix. 

	Message-ID: <3D94C2E7.55A7C0C3@gmx.net>.

2002-09-26  Masatake YAMATO  <jet@gyve.org>

	* autotrace.m4 ($LIBS): changed the order of appending
	$LIBS to $AUTOTRACE_LIBS.

	* Makefile.am (EXTRA_DIST): Added output-pstoedit.[ch].

	* configure.in (HAVE_LIBPSTOEDIT): Fix typo.
	
2002-09-26  Martin Weber <martweb@gmx.net>

	* vector.c: Now also works with C compilers that do not define true and false in the
	standard way,

	* pxl-outline.c: Ditto.

	* output.c: Ditto.

	* fit.c: Ditto.

	* epsilon-equal.c: Ditto.

	Message-ID: <8293.1032936123@www49.gmx.net>.

2002-09-25  Masatake YAMATO  <jet@gyve.org>

	* configure.in: use pstoedit.m4 instead of pkg-config. 
	showed more message about pstoedit.
	
2002-09-21  Masatake YAMATO  <jet@gyve.org>

	* configure.in: added -dl to LIBPSTOEDIT_LIBS.

2002-09-20  Martin Weber <martweb@gmx.net>

	* output-er.c: corrected output format.

	* pxl-outline.c: improved speed.

	Message-ID: <3D89F00F.E3F18E48@gmx.net>

2002-09-20  Masatake YAMATO  <jet@gyve.org>

	* autotrace.m4: did the same as frontline.m4.
	$autotrace_exec_prefix or $autotrace_prefix only.
	$autotrace_config_exec_prefix and $autotrace_config_prefix are 
	unnecessary variables. 

	used --exec_prefix instead of --exec-prefix. This is restriction
	of autofig. Fix broken a if-condition. Added "bin" to exec_prefix.

	(autotrace_config_args): removed. unnecessary variable.

2002-09-20  Martin Weber <martweb@gmx.net>

	* color.c (GET_COLOR): Improved speed and better luminance calculation.

	* color.h (COLOR_LUMINANCE): Ditto.

	Message-ID: <32434.1032418120@www62.gmx.net>

2002-09-20  Martin Weber <martweb@gmx.net>

	* thin-image.c (thin3): This fix corrects some problems 
	with the thinning of regions that touch the image borders.

	Message-ID: <3D88C750.4AE643A5@gmx.net>.

2002-09-18  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Version 0.30.6.

	* configure.in: Added workarround for pstoedit-3.32.0.
	added c++ runtime library to LIBPSTOEDIT_LIBS.

2002-09-18  Martin Weber <martweb@gmx.net>

	* autotrace.dsp: 

	* autotrace.vcproj: Updated.

	Message-ID: <3D874D91.A57E8569@gmx.net>.

2002-09-12  Masatake YAMATO  <jet@gyve.org>

	Martin suggested me that tmpnam is ANSI C 
	function so we don't have to check.
	
	* acconfig.h: removed HAVE_TMPNAM.

	* configure.in (HAVE_LIBPSTOEDIT): Checked mkstemp
	only.

	* output-pstoedit.c (make_temporary_file): used
	tmpnam if mkstemp is not found.

2002-09-11  Masatake YAMATO  <jet@gyve.org>

	* output-pstoedit.c (make_temporary_file): New function.
	(output_pstoedit_writer): used make_temporary_file. 

	* configure.in: checked mkstemp and tmpnam if 
	HAVE_LIBPSTOEDIT is yes.

	* acconfig.h: Added HAVE_MKSTEMP and HAVE_TMPNAM.

2002-09-10  Martin Weber <martweb@gmx.net>

	* input.c (at_input_get_handler_by_suffix): added 
	cast to the returned value for Visual C++.

	* output-pstoedit.c (output_pstoedit_get_writer): 
	Likewise.

	Message-ID: <3D7D116C.68950963@gmx.net>.

2002-09-10  Martin Weber <martweb@gmx.net>

	* output-pstoedit.c: Include io.h if _VISUALC_
	is defined.
	(set_last_suffix): returned void.
	(output_pstoedit_writer): tmpfd is typed
	as char * if _VISUALC_ is defined.
	(output_pstoedit_writer): Use _mktemp instead
	of mkstemp if _VISUALC_ is defined.
	(output_pstoedit_writer): do fopen if 
	_VISUALC_ is defined.
	(output_pstoedit_writer): did fclose instead
	of close.
	(remove_tmpfile): Added const to the 1st parameter.

	Message-ID: <3D7D116C.68950963@gmx.net>.

2002-09-09  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Version 0.30.5.

2002-09-08  Masatake YAMATO  <jet@gyve.org>

	* output.c (output_is_static_member): put #ifdef HAVE_LIBPSTOEDIT
	- #endif arround the function. The problem is reported by Martin.

	* configure.in: Version 0.30.4.
	LT_CURRENT = 1, LT_AGE = 1.

	* output-pstoedit.h: Addec comments about MT unsafe.

	* output-pstoedit.c (get_last_suffix): New file.
	Use get_last_suffix in all functions in output-pstoedit.c.

2002-09-06  Masatake YAMATO  <jet@gyve.org>
 		
	* main.c: removed unnecessary '\n' in FATAL*.
	
	* output.c (at_output_get_handler_by_suffix): used
	output_pstoedit_get_writer.

2002-09-05  Masatake YAMATO  <jet@gyve.org>

	* output-pstoedit.[ch]: Use at_string.
	(output_pstoedit_get_writer): New function.
	(output_pstoedit_set_last_suffix): deleted.

	* output-pstoedit.c (get_symbolicname): New function.
	(remove_tmpfile): Print tmp file names if BO_DEBUG is 1.
	(output_pstoedit_writer): Use two temporary files to keep 
	both the command line syntax of autotrace and the 
	pstoedit API. 
	(output_pstoedit_suffix): New variable.

	* output.c (streq): New function.
	(at_output_get_handler_by_suffix): Call 
	output_pstoedit_set_last_suffix.
	(at_output_list_new): Use both suffixes and symbolicnames.
	(at_output_shortlist): Likewise.
	(output_is_static_member): Check both suffixes and symbolicnames.

	* output-pstoedit.[ch] (output_pstoedit_set_last_suffix): 
	New function.

	* main.c (output_list_formats): gave more
	spaces to the output formats.

2002-08-27  Masatake YAMATO  <jet@gyve.org>

	* configure.in: 0.30.3.
	library version is set to 1.0.1.

	* logreport.h (at_log_file): Renamed from
	log_file. I guess the symbol `log_file'
	conflicts with something defined on debian libc.
	The bug is reported by Gerhard Gaussling <ggrubbish@web.de>.

2002-07-10  Martin Weber <martweb@gmx.net>

	* output.c (at_spline_list_foreach, at_spline_list_array_foreach): 
	Added "unsigned" to `i`.
	included strgicmp.h.

	Message-ID: <3D2B3A63.9B8AE188@gmx.net>.
	
2002-07-09  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Version 0.30.2.

2002-07-01  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Don't use libdir value defined
	in libMagick.al.

	* output-pstoedit.h: Include pstoedit/pstoedit.h.

	* Makefile.am: improved pstoedit supports.

	* autotrace-config.af: Refer LIBPSTOEDIT_LIBS.

	* autotrace.pc.in (Libs): Likewise.

2002-06-30  Masatake YAMATO  <jet@gyve.org>

	* output.c (at_*_get_handler_by_suffix): Return 
	NULL if suffix is NULL pointer or an empty string.

	* input.c (at_input_list_new): Pass both NULL and "*"
	to GetMagickInfo. Suggested by valhalla@imagemagick.org
	on magick-users@imagemagick.org.

	* Makefile.am (EXTRA_DIST): Added autotrace-config.in.

	* autotrace.c: Remove make_string.

	* configure.in: Put double quotes arount  version and url.

	* input-magick.c (magick_load_image): Don't use msg_data
	as a condition. Use msg_func instead. Use exception.reason
	instead of exception.description.
	Initialize image.
	
	* autotrace.c (make_string): Put '"' around
	an arg.

2002-06-26  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (libautotrace_la_SOURCES): Use '()'
	instead of "{}".

2002-06-11  Masatake YAMATO  <jet@gyve.org>

	* README: Reorganized.

	* exception.h, input.h, output.h and types.h: Added
	extern "C" {} for C++ clinets.

2002-06-09  Masatake YAMATO  <jet@gyve.org>

	* autotrace.c (make_string): New macro.
	(at_version, at_home_site): Use make_string.

	* configure.in (AUTOTRACE_VERSION): Remove double quotes.
	(AUTOTRACE_WEB): Likewise.
	(LT_*): Introduce libtool.
	Check the broken ImageMagick.la.

	* Makefile.am (lib_LTLIBRARIES): Introduce libtool.

2002-06-05  Masatake YAMATO  <jet@gyve.org>

	* output.h (at_output_add_handler): Added stab.

	* output.c: Added experimental pstoedit supports.

	* output-pstoedit.[ch]: New files.

	* configure.in(AC_ARG_PROGRAM, AM_SANITY_CHECK,AC_PROG_INSTALL): 
	Added.
	Added experimental pstoedit supports.

	* acconfig.h (HAVE_LIBPSTOEDIT): Added experimental pstoedit 
	supports.

	* Makefile.am (EXTRA_DIST): Added HACKING.
	(autotrace_LDADD, INCLUDES): Added experimental pstoedit 
	supports.

2002-05-12  Masatake YAMATO  <jet@gyve.org>

	* configure.in: linker messages that warns symbols are multiply defined are 
	suppressed when the host is Darwin.
	Suggested by Martin Kerscher <kerscher@theorie.physik.uni-muenchen.de>.
	
	* input.c (at_input_list_new): Pass NULL to GetMagickInfo
	instead of empty string.

	* output.h (at_output_add_handler): Moved from autotrace.h.

	* Makefile.am: Made output.h installed.
	
	* spline.h: Use macros newly defined in output.h.

	* output.[ch]: Added macros and functions that supports
	accessing splines data. Don't include output.h.

	* output-*.h: Use at_spline_list_array_type as a 
	formal argument instead of spline_list_array_type.

	* output-fig.c: Include spline.h.

	* autotrace.[ch] (at_color_equal): New function.
	
2002-05-06  Martin Weber <martweb@gmx.net>

	* filename.c (make_suffix): length_through_dot
	is typed to unsigned long for 64bit arch.
	(remove_suffix): Likewise.

	* curve.c (log_curve): Cast curve to unsigned long for 64bit
	arch.
	(log_entire_curve): Likewise.

	* autotrace.vcproj: Added output-dr2d.[ch].

	Message-ID: <3CD5A1C6.8717C29F@gmx.net>.
	Message-ID: <3CD5A2DB.2F467808@gmx.net>.

2002-05-04  Masatake YAMATO  <jet@gyve.org>

	* *.c: include config.h.

	* configure.in (AM_CONFIG_HEADER): Use config.h.

	* acconfig.h: New file.

2002-05-01  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Version 0.30.1.

	* autotrace.1: Updated.

	* HACKING: Updated.

2002-04-30  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (output_src): Added output-dr2d.c.

	* output-dr2d.c: Moved the declarations in
	output-dr2d.h to output-dr2d.c. Added static the 
	declarations.

2002-04-30  Martin Weber <martweb@gmx.net>

	* autotrace.dsp: updated.

	* autotrace.vcproj: ditto.

	* output.c: Added dr2d output writer.

	* output-dr2d.[ch]: New files.
	Contributed by Andrew Elia.

	Message-ID: <3CCE6457.AFDECB1F@gmx.net>.

2002-04-30  Masatake YAMATO  <jet@gyve.org>

	* output-svg.c (out_splines): Added `;' after `:none'.

	* autotrace.h (_at_spline_list_array_type): Added
	new field background_color.

	* fit.c (fitted_splines): Copy background_color
	into splines.
	* autotrace.c (at_splines_free):
	free background_color.

2002-04-30  Martin Weber <martweb@gmx.net>

	* output-*.*: fixed output generation when option 
	background-color is active.

	Message-ID: <3CC4602F.75EF9AF7@gmx.net>.
	
2002-04-28  Masatake YAMATO  <jet@gyve.org>

	* main.c, fit.c, autotrace.[ch]: Renamed
	bgColor to background_color.

	* fit.c (spline_linear_enough): Don't 
	log distance. It is function.
	In stead, logging dist, at_real var.

2002-04-28  Martin Weber <martweb@gmx.net>

	* input-magick.c: Now also tested with ImageMagick till 5.4.5.
	Wrote about it in the comment area.

	Message-ID: <3CC5CB34.FF990F83@gmx.net>.

2002-04-21  Masatake YAMATO  <jet@gyve.org>

	* input-magick.c (magick_load_image): Don't use
	MagickError. Instead use msg_func.
	
	* autotrace.h (struct _at_fitting_opts_type): Rename
	`filter_iteration_count' to `filter_iterations' in
	order to make the field and its associated option name 
	same.

2002-04-16  Masatake YAMATO  <jet@gyve.org>

	* autotrace.dsp: s/VERSION/AUTOTRACE_VERSION/g.

	* autotrace.vcproj: ditto. Suggested by Martin.

	* autotrace.c (at_version): Use AUTOTRACE_VERSION
	instead of VERSION.
	(at_home_site): Use AUTOTRACE_WEB.

	* autotrace.m4 (AM_PATH_AUTOTRACE): Check version number.

	* configure.in (AUTOTRACE_VERSION, AUTOTRACE_MAJOR_VERSION,
	AUTOTRACE_MINOR_VERSION, AUTOTRACE_MICRO_VERSION,
	AUTOTRACE_WEB): 
	New constants.
	
2002-04-15  Martin Weber <martweb@gmx.net>

	* fit.c (find_half_tangent): 
	(find_tangent): Fixed a bug in tangent 
	calculation.
	
2002-04-15  Masatake YAMATO  <jet@gyve.org>

	* COPYING.LIB: New file.

	* despeckle.*: Change the license to LGPL.
	
	* input*.*: Likewise.

	* median.c: Likewise.

	* output-*.*: Likewise.

	* quantize.h: Likewise.

	* thin-image.*: Likewise.

2002-04-03  Martin Weber <martweb@gmx.net>

	* exception.[ch] (at_exception_fatal, at_exception_warning): 
	added "const" to the passig parameter.

	* input-png.c (handle_warning, handle_error): Likewise.
	(init_structs): Cast handle_error and handle_warning that
	are passed to png_create_read_struct.
	(load_image): make width, height and row unsigned short.
	Casted values returned from png_get_image_width.

	Message-ID: <3CAEC662.41EEE71A@gmx.net>.

2002-04-03  Masatake YAMATO  <jet@gyve.org>

	* HACKING (Tag naming scheme): Updated.

	* autotrace.spec.in: Updated.

	* configure.in: Version 0.30.

	* exception.c (at_exception_new): Fix wrong 
	parameter declaration.

2002-04-03  Martin Weber <martweb@gmx.net>

	* exception.h (at_exception_new): Fix wrong 
	parameter declaration.

	* input-pnm.c (struct _PNMRowInfo): Removed.

	Message-ID: <3CA9F839.6A4C291C@gmx.net>.
	
2002-03-30  Martin Weber <martweb@gmx.net>

	* output-swf.c (output_swf_writer): printed
	warning if autotrace runs on windows.

	* autotrace.dsp: Updated.

	* autotrace.vcproj: Updated.

	Message-ID: <3CA74273.90B1D7EF@gmx.net>.

2002-03-30  Martin Weber <martweb@gmx.net>

	* main.c: fixed to remove some compiler warnings in
	main.c
	(dump): used at_bitmap_get_planes.

	Message-ID: <3CA737A7.40D2330D@gmx.net>.

2002-03-31  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Create a pre release(0.30pre2).

2002-03-30  Martin Weber <martweb@gmx.net>

	* output-emf.c: Removed unnecessary #define, 
	set pen width to zero when in outline mode. Now checking whether 
	it should write to stdout only for Windows.

	Message-ID: <3CA4C008.8B921285@gmx.net>.
	
2002-03-30  Martin Weber <martweb@gmx.net>

	* output-pdf.c (out_splines): Reduced color precision to get 
	smaller files.

	* output-p2e.c (out_splines): Likewise.

	* output-eps.c (out_splines): Likewise.

	* output-epd.c (out_splines): Likewise.

	* main.c (main): using binary mode for dumping bitmaps.

	* pxl-outline.c (*): The y values of the outline were always to 
	high by one.

	Message-ID: <3CA3853C.629CCFD6@gmx.net> and
	Message-ID: <3CA57C3F.C35F60F7@gmx.net>.

2002-03-30  Masatake YAMATO  <jet@gyve.org>

	* pxl-outline.c (find_outline_pixels): moved
	test_cancel func to inner loop.

2002-03-28  Martin Weber <martweb@gmx.net>

	* HACKING (Tools for debugging output): Updated.

	* README: Updated.

	* output.c (output_formats): Unify dxf output entry.

	* main.c (USAGE1): dpi is used in mif output,
	not emf.

2002-03-28  Martin Weber <martweb@gmx.net>

	* output-emf.c: rewritten with Allen Barnett.
	
2002-03-28  Masatake YAMATO  <jet@gyve.org>

	* HACKING (Tool for debugging output):
	Write about viewers.

2002-03-28  Martin Weber <martweb@gmx.net>

	* despeckle.c: despeckle now also works on gray
	scale images.

2002-03-20  Martin Weber <martweb@gmx.net>

	* main.c (main): Moved dumping of the bitmap so that quantize 
	and despeckle are also in effect.

	Message-ID: <3C9A4462.47488039@gmx.net>.

2002-03-24  Ian MacPhedran <Ian_MacPhedran@engr.USask.Ca>

	* output-fig.c (out_fig_splines): Added a new 
	local variable, fig_spline_close.

2002-03-20  Martin Weber <martweb@gmx.net>

	* output-emf.c (GetEmfStats, GetEmfStats): 
	Number of records was not counted correctly.

	Message-ID: <15225.1016698302@www11.gmx.net>.

2002-03-21  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (libautotrace_a_SOURCES): Added
	strgicmp.c. This function must be in libautotrace.a
	because input.c uses.

2002-03-20  Martin Weber <martweb@gmx.net>

	* README updated.
	
	* TODO: New file.

2002-03-20  Martin Weber <martweb@gmx.net>

	* output-emf.c: Don't include output.h.

	Message-ID: <24692.1016622657@www46.gmx.net>.
	
2002-03-20  Masatake YAMATO  <jet@gyve.org>

	* NEWS: Updated.
	
	* configure.in: Create a pre release(0.30pre1).
	
2002-03-20  Martin Weber <martweb@gmx.net>

	* output-emf.c: Include output.h.
	Fixed bug when boundaries of the splines were larger than the
	boundaries of the bitmap.
	* output-cgm.c: removed FLOAT_TO_UI16.
	
	Message-ID: <3C97B972.12D92E49@gmx.net>.

2002-03-20  Masatake YAMATO  <jet@gyve.org>

	* NEWS: Updated for 0.30.

	* autotrace.h: Added comments for at_splines_new.

2002-03-20  Martin Weber <martweb@gmx.net>

	* fit.c (fitted_splines::total): Removed.
	(*): Remove `_'(underscore) from variable 
	names to avoid conflicting with function
	name. Initialized local variables to 
	avoid compiler warnings.
	
	* thin-image.c: Put cast to avoid compiler
	warnings.
	
	* median.c (generate_histogram_rgb): Added
	default: to switch-case to avoid compiler
	warnings.
	(find_nearby_colors::min_dist): Initialized.
	
	* vector.c: Rename local var, exp->excep.

	* pxl-outline.c: Make functions static scope.

	* output-mif.c: Don'e include <time.h>.

	* output-fig.c (fig_col_init): Return nothing.
	(fig_col_hash): Put parentheses around 
	the macro arg.
	(out_fig_splines): Removed unused variable `i'.
	(get_fig_colour): &->&&. Make static scope.

	* output-cgm.c: Don't count the return 
	values of write16.

	* input.c (at_input_shortlist): removed a
	local var `count'.
	
	* input-tga.c (TgaSaveVals, TgaSaveInterface): 
	Removed.

	* input-pnm.c: Rename local var, exp->excep.
	(PNMSaveVals, PNMSaveInterface): Removed.

	* getopt1.c: Didn't include stdlib.h.

	* getopt.c (exchange): Free temp.

	* despeckle.c (despeckle_iteration): Remove 
	a ; that was too much at this place.
	(despeckle): Rename local var, exp->excep.

	* autotrace.[ch] (at_splines_write): Use
	at_string instead of char *.

	Message-ID: <3C926C28.61B6FBB0@gmx.net>.
	
2002-03-16  Masatake YAMATO  <jet@gyve.org>

	* autotrace.c (at_bitmap_get_planes): New function.
	(at_bitmap_copy): New function.

2002-03-15  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Added AM_MAINTAINER_MODE.

2002-03-13  Martin Weber <martweb@gmx.net>

	(Logged by Masatake.)
	
	* output-pdf.c (output_pdf_tailor): 
	Put a space at the end of  OUT_LINE
	and OUT1.

	* output-pdf.c (output_pdf_writer): 
	Print warnings if _WINDOWS is defined.

	Message-ID: <3C8C7F1D.ACD14953@gmx.net>.
	
2002-03-13  Masatake YAMATO  <jet@gyve.org>

	* output-pdf.c (output_pdf_writer): 
	removed a garbage that I had put.
	Suggested by Martin.

2002-03-11  Martin Weber <martweb@gmx.net>

	* output-pdf.c: Fix a bug in xref table generator.

	Message-ID: <3C88FA48.F3DC2CF5@gmx.net>.

2002-03-08  Masatake YAMATO  <jet@gyve.org>

	* autotrace.spec.in: copyed from
	http://www.cs.uu.nl/~hanwen/public/software/autotrace.spec.
	Contributed by Han-Wen Nienhuys<hanwen@cs.uu.nl>.
	
	* configure.in: Added autotrace.spec supports.

	* Masatake.am: Likewise.

2002-03-08  Martin Weber <martweb@gmx.net>

	* output-pdf.c: pdf files now contain a xref table.

	Message-ID: <3C87C8F3.6130373F@gmx.net>.

2002-03-08  Martin Weber <martweb@gmx.net>

	* fit.c (filter): Put the definition 
	of prev_new_point out of the loop.

	(distance): Don't use hypot.

	Message-ID: <3C87B48C.82FAC8CF@gmx.net>.
	
2002-03-06  Martin Weber <martweb@gmx.net>

	* curve.c: Corrected copyright notice

	* fit.c: Likewise.

	Message-ID: <3C84F316.2DB5B7A1@gmx.net>.

2002-03-06  Martin Weber <martweb@gmx.net>

	* autotrace.vcproj: Linking with certain ImageMagick 
	versions didn't work correctly.
	
	* autotrace.dsp: Likewise.

	Message-ID: <3C84F0C1.4C989134@gmx.net>.
	
2002-03-06  Martin Weber <martweb@gmx.net>

	* fit.c (filter): fixed a bug in the filtering routine.
	avoid to use epsilon_equal.

	Message-ID: <3C84F2FD.C35ACD34@gmx.net>.

2002-02-14  Masatake YAMATO  <jet@gyve.org>

	* autotrace.h (struct _at_fitting_opts_type::despeckle_level): 
	made "unsigned".
	(struct _at_fitting_opts_type): Corrected wrong comments.

2001-12-24  Martin Weber <martweb@gmx.net>

	* vector.c (magnitude): replaced hypot.

	(Message-ID: <14237.1013082801@www56.gmx.net>).
	
2002-02-06  Masatake YAMATO  <jet@gyve.org>

	* configure.in (AC_CHECK_LIB): Put '[', ']' to nested macro
	invocations.

2002-02-05  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (EXTRA_DIST): Removed vc++6.0.txt.

2002-02-04  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (pkgconfig_DATA, pkgconfigdir): 
	Added pkgconfig supprots.

	* configure.in: Likewise.

	* autotrace.pc.in: New file.

	* main.c (dot_printer): Rewrite.
	(main): print an input file name and newline when 
	report_progress is true.
	(main::progress_stat): Make int.
	(dot_printer_max_column, dot_printer_char): New defs.

2002-01-31  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (man_MANS): Added autotrace.1.

	* autotrace.1: Contributed by R. P. C. Rodgers<rodgers@nlm.nih.gov>.

2002-01-30  Masatake YAMATO  <jet@gyve.org>

	* configure.in (AC_CHECK_LIB(png)): Added -lm.

2002-01-27  Masatake YAMATO  <jet@gyve.org>

	* autotrace.c (at_splines_new_full): Set progress 1.0
	at the end of this function.

	* main.c (dot_printer): Style of progress report
	is changed.

	* xstd.h (XREALLOC): Remove the last backslash
	at XREALLOC. This is my typo.

2002-01-23  Masatake YAMATO  <jet@gyve.org>

	* xstd.h: Use assert instead of FATAL.

	* input-pnm.c (pnm_load_image): Use
	fopen instead of xfopen. Use fclose instead
	of xfclose.

2001-12-24  Martin Weber <martweb@gmx.net>

	* vc++6.0.txt: Removed.
	Message-ID: <3C4C7155.934E0C5D@gmx.net>.

	* autotrace.vcproj: Added exception.[ch].

	* autotrace.dsp: Likewise.

	Message-ID: <3C4C70AF.60741033@gmx.net>.
	
2002-01-23  Masatake YAMATO  <jet@gyve.org>

	* main.c (USAGE1::dpi): Write about emf.
	Suggested by Stewart C. Russell <stewart@ref.collins.co.uk>.

2002-01-19  Masatake YAMATO  <jet@gyve.org>

	* autotrace.c (at_bitmap_init): XMALLOC->XCALLOC 
	again.
	I had a mistake at a change in
	2002-01-05  Masatake YAMATO  <jet@gyve.org>.
	What I did is "XMALLOC->XCALLOC" in at_bitmap_new.
	What I should is "XMALLOC->XCALLOC" in at_bitmap_init.
	I do in this time What I should.

2002-01-15  Masatake YAMATO  <jet@gyve.org>

	* output.[ch]: removed fatal. use exception.

	* main.c (main): Pass a error handler to read
	and write functions.

	* input.h: Included exception.h.

	* input.c (at_input_get_handler_by_suffix): Don't
	cast returned value(magick_load_image).

	* input-*.[ch]: removed fatal. use exception.

	* autotrace.[ch] (at_splines_write): took
	new args, msg_func and msg_data.
	(at_bitmap_read): Likewise.
	(at_input_read_func,at_output_write_func): Likewise.
	
2002-01-14  Masatake YAMATO  <jet@gyve.org>

	* main.c (exception_handler): Append newline to
	output.

	* output-fig.c (out_fig_splines): Use XMALLOC instead of
	malloc.

2002-01-12  Masatake YAMATO  <jet@gyve.org>

	* input-bmp.c (ReadImage): Didn't close
	fd here. Instead closing at bmp_load_image.
	
2002-01-05  Masatake YAMATO  <jet@gyve.org>

	* autotrace.c (at_bitmap_init): XMALLOC->XCALLOC.
	Found by Martin.
	Bug is doped by me.

	* vector.c (acos_d): Use exception.
	Return 0.0.

	* thin-image.c (thin_image): Fatal if wrong planes.

	* spline.c (print_spline): Use assert instead
	of FATAL macro.

	* pxl-outline.[hc]: Use exception instead
	of FATAL.

	* median.c (quantize): Fatal if wrong planes.

	* quantize.h (quantize): Likewise.
	
	* fit.c (find_corners): Pass exception context to
	Vangle.

	* autotrace.c (at_splines_new_full): Use exception
	in quantize and thin_image. Handle exception after 
	find_*_pixels.

	* spline.c (print_spline): Use assert instead of FATAL1.

2002-01-04  Masatake YAMATO  <jet@gyve.org>

	* main.c (exception_handler): New func. Passed to at_splines_new.
	(output_list_formats, input_list_formats): Made static.

	* despeckle.c (despeckle): Use exception instead of fatal.

	* autotrace.c: Included exception.h.
	(at_splines_new, at_splines_new_full): Added new args for msg.
	(at_splines_new_full): New local var, exp.
	Pass exp to despeckle. Pass exp to fitted_splines.

	* Makefile.am (autotraceinclude_HEADERS): Added exception.h.
	(libautotrace_a_SOURCES): Added exception.c.

	* main.c (dump): Remove unused local vars.

	* fit.h: Added at_ prefix to progress_func,
	testcancel_func and address.

	* input-pnm.c (pnm_load_image): Initialized
	bitmap if fd == NULL.

2002-01-02  Masatake YAMATO  <jet@gyve.org>

	* autotrace.h (enum _at_msg_type, at_msg_func): 
	New type.

	* main.c: Added code to dump loaded bitmap.
	"--debug-bitmap: dump loaded bitmap to <input_name>.bitmap.\n\"
	
2001-12-29  Masatake YAMATO  <jet@gyve.org>

	* main.c (read_command_line): Added debug-arch.

2001-12-28  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (autotraceinclude_HEADERS): Added input.h.
	(noinst_HEADERS): Removed input.h.

	* input*.[ch]: bitmap_type -> at_bitmap_type.
	Use at_bitmap_init.
	
	* autotrace.c (at_bitmap_new): Use at_bitmap_init.
	(at_bitmap_init): New func.

	* bitmap.c (new_bitmap): Used at_bitmap_init.

	* bitmap.h: Almost all macro definitions 
	used macros defined in input.h.
	Include input.h.

	* input.c: Include input.h.

	* input.h: Don't include bitmap.h.
	Instead, some macro defs are moved to input.h.
	(at_bitmap_init): New function.
	(at_input_add_handler): Moved from autotrace.h.

2001-12-26  Masatake YAMATO  <jet@gyve.org>

	* input-magick.c (magick_load_image): Use BITMAP_PLANES.

2001-12-24  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Version 0.29.

	* autotrace.[ch]: Renamed at_bitmap_new to at_bitmap_read.

	* main.c (main): Likewise.

2001-12-24  Martin Weber <martweb@gmx.net>

	* autotrace.[dsp,vcproj]: removed version.c

	* output-cgm.c: fixed a C++ issue.

	(Message-ID: <3C264E86.9948791C@gmx.net>).

2001-12-24  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Version 0.29pre1.

2001-12-23  Martin Weber <martweb@gmx.net>

	* README: updated.

	* NEWS: updated.

2001-12-24  Masatake YAMATO  <jet@gyve.org>

	* fit.[ch] (fitted_splines): Pass width and height.
	
	* autotrace.[ch] (at_splines_write): Don't pass
	bbox. Get bbox from splines.

	* main.c (main): Don't pass width and height to 
	at_splines_write.
	
	* autotrace.h (struct _at_fitting_opts_type): Removed
	comments. Instead defined doc strings.
	(AT_DEFAULT_DPI): New def.
	(at_fitting_opts_doc): New macro.
	(struct _at_spline_list_array_type): Added height
	and width.

	* fit.c (new_fitting_opts): Remove comments.

	* main.c: used AT_DEFAULT_DPI.

	* strgicmp.c (strgnicmp): Added parentheses around
	conditions.
	(main): Added test.

	* output-fig.h: Move the defines to output-fig.c.

2001-12-23  Martin Weber <martweb@gmx.net>

	* output-cgm.c: Fix bugs.

	Message-ID: <3C25CDF4.4C0CC024@gmx.net>.
	
2001-12-23  Masatake YAMATO  <jet@gyve.org>

	* main.c (main): Use at_splines_write, at_input_shortlist
	and at_output_shortlist.

	* output.h, input.h: Remove declarations. Move them to autotrace.h.

	* input.c (input_format_entry, input_formats): 
	Change the order of fields.

	* bitmap.c: Don't include string.h.

	* autotrace.[ch]: rename at_output_write to
	at_splines_write.
	(at_output_add_handler, at_input_add_handler):
	New stubs.

	* autotrace.c: Move input and output functions
	to input.c and output.c.

	* types.h (at_real_coord): Renamed from at_real_coordinate_type.
	(at_coord): Renamed from at_coordinate_type.
	Remove progress_func and testcancel_func.

	* *: Remove ptypes.h. 

2001-12-23  Masatake YAMATO  <jet@gyve.org>

	* ptypes.h: Removed.

	* output-emf.c (WriteHeader): Move a global variable
	`editor' to here.

	* Makefile.am (libautotrace_a_SOURCES): Removed version.c.

	* version.c: Removed.

	* autotrace.c (at_version): Move all codes in version.c
	to here.

	* output-cgm.c (output_metafiledescription): Added `const'
	to UI8.
	(*): bool->at_bool.
	(output_cgm_writer): version_string->at_version.

	* Makefile.am (output_src): Added output-cgm.*.

2001-12-23  Martin Weber <martweb@gmx.net>

	* main.c (main): corrected bug that binary output was not 
	written correctly.

	* autotrace.[vcproj,dsp], output.c, output-cgm.[ch], Makefile.am: 
	added binary cgm export.

	(Message-ID: <3C250ADC.945F47F8@gmx.net>).

2001-12-23  Masatake YAMATO  <jet@gyve.org>

	* autotrace.c (at_version): Added parameter
	`long_format'.

	* .*: Remvoe bool and address types.

	* input-png.c: Use at_string instead of string.

	* Makefile.am (EXTRA_DIST): Added
	autotrace.sln autotrace.vcproj libming.sln libming.vcproj.

2001-12-23  Martin Weber <martweb@gmx.net>

	* libming.sln: New file.

	* libming.vcproj: Likewise.

	(Message-ID: <3C230B4F.AC6B7392@gmx.net>).

2001-12-23  Martin Weber <martweb@gmx.net>

	* main.c, fit.c, autotrace.[ch]: removed unnecessary 
	thin option.

	(Message-ID: <3C23097C.64BB84F8@gmx.net>,
	Message-ID: <3C230A3D.C0F29BE6@gmx.net>)
	
2001-12-23  Masatake YAMATO  <jet@gyve.org>

	* input-png.h: string->at_string.

2001-12-23  Martin Weber <martweb@gmx.net>

        * (.*): Remove version num in comments.
	Use at_string instead of string.
	Change the data type for number.
	Remove decl of version_string. (e.g. unsigned -> unsigned short)

	* version.c: Include ptypes.h.

	* ptypes.h: Declare version_string. Remove at_string.

	* output-emf.c (OutputEmf, GetEmfStats): Initialized last_color.

	* output-dxf.c (output_layer, out_splines, out_splines): 
	Initialized local vars.

	* main.c (get_percent): Removed.

	* logreport.h: R.

	* logreport.c: R.

	* input-tga.h: P, R.

	* input-tga.c (tga_load_image): Remove a
	parameter `filename'.
	(tga_load_image): Likewise.

	* fit.c (filter_angle, find_curve_vectors): Removed.
	(fit_with_least_squares): Remove local variable `iteration'.

	* despeckle.c (recolor, despeckle_iteration): 
	Remove a parameter, `current_size'.

	* autotrace.sln: New file.

	* autotrace.vcproj: Likewise.

	(Message-ID: <3C23045E.E5636FF5@gmx.net>).
	
2001-12-18  Per Grahn <pergra@foi.se>

        * output-emf.c (output_emf_writer): added `dpi'.

2001-12-19  Masatake YAMATO  <jet@gyve.org>

	* main.c (read_command_line): Used
	output_get_handler_by_suffix.
	(main): Use at_output_get_handler.
	Use suffix of output_name to select output_handler.
	
	* output.c (output_get_handler): Used suffix.

	* output.[ch] (output_get_handler_by_suffix): New function.
	
	* autotrace.[ch] (at_output_get_handler_by_suffix): New function.
	
2001-12-18  Masatake YAMATO  <jet@gyve.org>
	
	* Makefile.am (output_src): Added mif.[ch].

2001-12-18  Per Grahn <pergra@foi.se>

	* autotrace.dsp (SOURCE): Added mif.
	
	* output-mif.[ch]: New files.

	* autotrace.h (at_output_write_func, at_output_write):
	Added dpi as a parameter.

	* main.c: Added new option dpi.

	* output-*.[ch]: Added dpi as a parameter.

	* output.c (output_formats):  Added mif.

	(Message-ID: <3C1A734D.A11F290A@gmx.net>).
	
2001-12-18  Martin Weber <martweb@gmx.net>

	* autotrace.dsp: Added swf.

	* strgicmp.h (strgnicmp, strgnicmp): Added const to params.

	(Message-ID: <3C1A36C4.C098F815@gmx.net>).
	
2001-12-14  Masatake YAMATO  <jet@gyve.org>

	* output-swf.c (output_swf_writer): roll back to
	1.4. I did wrong commit.

	2001-12-01  Martin Weber <martweb@gmx.net>

	Now using file instead of 
	name so that it works also to stdout.

	(Message-ID: <3C02BF23.9D19CCC0@gmx.net>).

2001-12-12  Masatake YAMATO  <jet@gyve.org>

	* strgicmp.h (strgnicmp, strgicmp): added type
	of args.

	* strgicmp.[hc]: removed ^M.

2001-12-11  Martin Weber <martweb@gmx.net>

	Now commandline options are no more case sensitive.
	
	* Makefile.am (autotrace_SOURCES): Added strgicmp.[ch].

	* autotrace.dsp: Likewise.

	* main.c: Use strgicmp.

	* getopt.c: Likewise.

	* input.c: Likewise.

	* cmdline.h: Likewise.

	* strgicmp.[ch]: New files.

	(Message-ID: <3C15248C.C9AC71C9@gmx.net>).

2001-12-08  Martin Weber <martweb@gmx.net>

	* input.c (input_list): Fix a bug for magicklib support.
	"MagickLibVersion < 0x0538" => "MagickLibVersion < 0x0534".

2001-12-08  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Version 0.28.

2001-12-08  Martin Weber <martweb@gmx.net>

	* output.c: 
	* output-dxf.[ch]: DXF output is disabled.

2001-12-08  Masatake YAMATO  <jet@gyve.org>

	Put a tag, "BEFORE_DISABLING_DXF" to the CVS repository.

2001-12-03  Martin Weber <martweb@gmx.net>

	* input.c: We should use api.h instead of
	magick.h, now also works using C++.

	* input-magick.c: Likewise.

	(Message-ID: <3C0A6916.D7C47C1F@gmx.net>).
	
2001-12-02  Martin Weber <martweb@gmx.net>

	* types.h: adopted to C++.

	* main.c (read_command_line): Likewise.

	(Message-ID: <B82F2B8A.275630@[192.168.1.2]>).

2001-12-01  Masatake YAMATO  <jet@gyve.org>

	* README.MING: Write about Visual C++ and libming.*.

	* Makefile.am (EXTRA_DIST): added libming.*.
	
2001-12-01  Martin Weber <martweb@gmx.net>

	* input-magick.c: Fixed comments.

	* input.c: input_shortlist now supports ImageMagick formats.

	* output-pdf.c: no more a temporary file needed.

	(Message-ID: <3C07E7CB.42BB90D4@gmx.net>).

2001-12-01  Martin Weber <martweb@gmx.net>
	
	* input.c, input.h, main.c, README: input_list now also lists
	all formats that are supported by ImageMagick, dynamic generation of
	input format list.

	(Message-ID: <3C0697FA.F9F1F974@gmx.net> is applied.
	Message-ID: <3C056389.A35DF08C@gmx.net> is ignored).
	
2001-12-01  Martin Weber <martweb@gmx.net>

	* output-dxf.h (output_dxf12_writer): New function.

	* output.c (output_formats): Added dxf12.

	* output-dxf.c: Reorganized.

	(Message-ID: <3C053FF6.191A5F26@gmx.net>).

2001-12-01  Martin Weber <martweb@gmx.net>

	* output-swf.c (output_swf_writer): Now using file instead of 
	name so that it works also to stdout.

	(Message-ID: <3C02BF23.9D19CCC0@gmx.net>).
	
2001-12-01  Martin Weber <martweb@gmx.net>

	* Makefile.am (EXTRA_DIST): Added shape_cubic.c.diff README.MING.

	* shape_cubic.c.diff: Patch for ming.

	* README.MING: About shape_cubic.c.diff.
	
	(Message-ID: <3C02B6A9.D9EF762D@gmx.net>, Message-ID: <5962.1006945825@www21.gmx.net>)

2001-11-27  Martin Weber <martweb@gmx.net>

	* output-swf.c (output_swf_writer): Now using file instead of name 
	so that it works also to stdout.
	(Message-ID: <3C02BF23.9D19CCC0@gmx.net>).
	
2001-11-27  Martin Weber <martweb@gmx.net>

	* output-swf.c (output_swf_writer, out_splines): 
	Removed some warnings.
	(Message-ID: <3C02B6A9.D9EF762D@gmx.net>).


2001-11-28 Ian MacPhedran <Ian_MacPhedran@engr.USask.CA>

	* output-fig.c: centerlines were extended to complete polygons,
	  closing shapes which should be open - thanks to Dan Mills
          for pointing this out (routine out_fig_splines)

2001-11-27  Martin Weber <martweb@gmx.net>

	* main.c (read_command_line): output format list now freed.

	(Message-ID: <3C02B6D3.7FBF5057@gmx.net>).
	
2001-11-25  Martin Weber <martweb@gmx.net>

	* output-p2e.c (output_p2e_header, output_p2e_writer): 
	Output that is totally curve free has to be marked.

	(Message-ID: <3C012785.19621140@gmx.net>).
	
2001-11-25  Martin Weber <martweb@gmx.net>

	* output-dxf.c (out_splines): Removed code that was needed due to 
	an old bug in AutoTrace.

	* output-epd.c (out_splines): Removed wrong comment.

	* output-pdf.c (output_pdf_tailor): Removed unnecessary xref part.

	* output.h (output_shortlist): New declaration.

	* output.c (output_shortlist): New function.

	* main.c (read_command_line): Invoke output_shortlist.
	(USAGE): Remove OUTPUT_SUFFIX_LIST.
	(main.c, output.c, output.h: Dynamic generation of output format list.)

	* autotrace.dsp: output-pdf.c and output-pdf.h are added.

	(Message-ID: <3C0112EA.EB49E12A@gmx.net>).
	
2001-11-25  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (output_src): Added output-pdf.[hc].

2001-11-24  Martin Weber <martweb@gmx.net>

	* output-pdf.[ch]: New files.
	
        * output.h (OUTPUT_SUFFIX_LIST): Added pdf.
	
        * NEWS: Upadted.

	* output.c: Added output_pdf_writer.
	
	* despeckle.c (despeckle): Use FATAL1
	instead of WARNING1.

	* autotrace.dsp: Updated.

	* autotrace.c(at_splines_new_full): Validated
	opts->despeckle_level that is passed to despeckle.

	Message-ID: <3BFF770F.E7B644F3@gmx.net>,
	Message-ID: <3BFECAB0.A3FFDC52@gmx.net>.

2001-11-24  Martin Weber <martweb@gmx.net>

        * despeckle.c: Almost Rewrote.

	* output-dxf.c: "ps_file' -> "dxf_file".

	(Message-ID: <3BFD5CBD.8AC681BB@gmx.net>).
	
2001-11-24  Martin Weber <martweb@gmx.net>

	* output-epd.c: "ps_file"->"epd_file".
	(output_epd_header): "%%"->"%".
	(out_splines): swap "S"<->"f" in OUT_LINE.

	(Message-ID: <3BFEA7B6.E4CDB9F5@gmx.net>). 
	
2001-11-24  Martin Weber <martweb@gmx.net>

	* output-epd.c (out_splines): Fix a 
	bugs in output formats.
	"*U"->"h", "B"->"S".
	Divied each color components by 255.
	(Message-ID: <3BFD3CA5.EA11A99C@gmx.net>).
	
2001-11-24  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (output_src): Added output-epd.[ch].

2001-11-21  Martin Weber <martweb@gmx.net>

	* output-epd.[ch]: New files.

	* output.c (output_formats): output_epd_writer is added.

	(Message-ID: <3BFC27DC.DE9DE0E7@gmx.net>)
	
2001-11-21  Martin Weber <martweb@gmx.net>

	* output.h (OUTPUT_SUFFIX_LIST): Removed dxf12.
	Added epd.

	* input-magick.h: Include ptypes.h

	* autotrace.dsp: Updated.

	(Message-ID: <3BFC1CA5.996CD642@gmx.net>)
	
2001-11-21  Martin Weber <martweb@gmx.net>

	* READM, THANKS, NEWS: Updated.
	(Message-ID: <3BFBEB8D.E493F888@gmx.net>)
	
2001-11-21  Masatake YAMATO  <jet@gyve.org>

	* main.c (main): Set fitting_opts->centerline.

	* fit.c (fitted_splines, new_fitting_opts): set value for
	new field `centerline'.
	
	* autotrace.[ch] (at_centerline):  removed.
	(struct _at_spline_list_array_type, struct _at_fitting_opts_type): 
	new field `centerline' is added. 

	* output-*.[ch]: at_centerline is removed.
	Use shape.centerline instead.

2001-11-21  Masatake YAMATO  <jet@gyve.org>

	* ptypes.h: New file.

	* Makefile.am: Added ptypes.h.
	
	* types.h: Added "at_" as prefix to all type names.

	* *.[ch]: Include ptypes.h.

2001-11-19  Martin Weber  <martweb@gmx.net>

	* pxl-outline.c (find_one_outline): Fixed that sometimes the first 
	point of the outline is wrong 

2001-11-19  Dan Mills <dmills@spamblock.demon.co.uk>

	* fit.c (split_at_corners): 
	 Here is a patch for another autotrace bug which caused some images
	 to seemingly hang when processed with the thin option.

	 The problem was caused by the fact that the LHS of the if statement
	 was evaluated as an unsigned value, thus when pixel_o == 1, the
	 statement evaluates as if (((unsigned int)(-1)) >= 4) which comes
	 out to somewhere around (2^32 >= 4), this has the predictable result.
	 Using signed math overcomes this problem.

2001-11-19  Martin Weber  <martweb@gmx.net>
	
	* pxl-outline.c (find_outline_pixels): improved 
	background handling.

2001-11-19  Masatake YAMATO  <jet@gyve.org>

	* fit.c (fit_one_spline): Remove wrong fprintf.

2001-11-19  Martin Weber  <martweb@gmx.net>

	* fit.c (filter): added initialisation of prev_new_point.

	* color.h (COLOR_EQUAL): fixed a bug in the COLOR_EQUAL macro

	* pxl-outline.c (find_outline_pixels): corrected outline
	generation with a given background color.

2001-11-19  Martin Weber  <martweb@gmx.net>

	* fit.c (filter): Temporary solution for not 
	totally collapsing a curve with repeated filtering.

2001-11-17  Martin Weber  <martweb@gmx.net>
	
	* fit.c (fit_with_least_squares):
	Force closed splines to be split.

2001-11-17  Martin Weber  <martweb@gmx.net>
	
	* fit.c (find_half_tangent): fixed a problem in calculation of
	halftangent with cyclic curves.

2001-11-11  Masatake YAMATO  <jet@gyve.org>

	* pxl-outline.c (find_outline_pixels): 
	(find_centerline_pixels): Put cancel points.

	* main.c (main): Use at_splines_new_full.

	* fit.[hc] (fitted_splines): Put cancel points.
	If `test_cancel' is given and it returns TRUE,
	execution is stopped and the control is returned.

	* types.h (testcancel_func): New type.

	* autotrace.h (at_testcancel_func): New type.

	* autotrace.[hc] (at_splines_new_full): New function.
	at_splines_new_with_progress is removed.
	at_splines_new_full is almost the same as 
	`at_splines_new_with_progress' but has cancel points.

2001-11-09  Masatake YAMATO  <jet@gyve.org>

	* despeckle.h: Remove nest '/*'.

	* pxl-outline.h: Change the indent style.
	Lines were too long.

2001-10-14  Martin Weber  <martweb@gmx.net>

        * output-dxf.c: adopted so it could also be compiled as C++
	
2001-10-14  Martin Weber  <martweb@gmx.net>

        * NEWS: Upated

	* README (version): Updated

	* THANKS: Updated.

	* autotrace.dsp (SOURCE): Update again.
	
2001-10-14  Martin Weber  <martweb@gmx.net>

	* autotrace.dsp: adopted to newer versions of ImageMagick. 

	* input-magick.c: Likewise.

2001-10-14  Martin Weber  <martweb@gmx.net>

	* output-dxf.h: changed wrong define constant
	* curve.c, pxl-outline.c, fit.c: removed warning in 
	notify_progress for Visual C++
	* output.c: added output_dxf_writer

2001-10-28  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (output_src): Added output-dxf.[ch].

2001-10-28  Steffen Politzky <support@durst.de>

	Logged by Masatake YAMATO  <jet@gyve.org>.
	
	* output-dxf.[ch]: New files.

2001-10-14  Martin Weber  <martweb@gmx.net>

	* main.c (read_command_line::long_options): Added
	despeckle-level and despeckle-tightness.

2001-10-13  Masatake YAMATO  <jet@gyve.org>

	* types.h (progress_func): New type.

	* pxl-outline.c: Added progress notify callback.
	* curve.[ch]: Likewise
	* autotrace.[ch]: Likewise.
	* fit.[ch]: Likewise.

	* autotrace.c (at_splines_new): Invoke despeckle.

	* autotrace.h (struct _at_fitting_opts_type): 
	New members, despeckle_level and despeckle_tightness.

	* fit.c (new_fitting_opts): Initialize
	despeckle_level and despeckle_tightness.

	* main.c (read_command_line): Use 
	fitting_opts->despeckle_tightness and
	fitting_opts->despeckle_level.

2001-10-11  Martin Weber  <martweb@gmx.net>

        * main.c, despeckle.c, despeckle.h: Added new despeckling code.

2001-10-12  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am: Added despeckle.[ch].

2001-10-12  David A. Bartold <???@???.???>

	 by Masatake)
	* despeckle.[ch]: New files.

2001-10-03 Jerritt Collord <collord@collord.net>

	* output-sk.c (out_splines): Check `at_centerline'
	before doing fputs("bC()\n", file).

	(Logged by Masatake)
	
o2001-09-18  Martin Weber  <martweb@gmx.net>

	* output-eps.c: fixed a small bug in the initialisation of last_color
	Suggested by "Wolfgang Glunz" <wolfgang.glunz@icn.siemens.de>.

	* output-p2e.c: fixed a small bug in the initialisation of last_color,
	adopted to pstoedit 3.30
	Suggested by "Wolfgang Glunz" <wolfgang.glunz@icn.siemens.de>.

2001-09-15  Masatake YAMATO  <jet@gyve.org>

	* autotrace.c (at_home_site): Update the homepage of 
	autotrace.

	* README: Likewise.

2001-04-13  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Warn if libping is not found.

2001-04-12  Martin Weber <martweb@gmx.net>

	Message-ID: <3AD446C7.9045830B@gmx.net>

	* input-tga.c: I fixed a bug in input-tga.c:
	Indexed tga images are now interpreted correctly.

2001-04-11  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Don't check malloc.h.

	* output-er.c: Don't include malloc.h.

	* output-p2e.c: Likewise.

2001-04-11  Masatake YAMATO  <masata-y@gyve.aist-nara.ac.jp>

	* output-er.c: Include malloc.h if HAVE_MALLOC_H is
	defined.

	* output-p2e.c: Likewise.

	* configure.in: Check malloc.h.
	These changes are suggested by 
	Peter Cucka<pcucka@anim.dreamworks.com>.

2001-03-25  Masatake YAMATO  <jet@gyve.org>

	* configure.in: VERSION 0.27a.

2001-03-24  Masatake YAMATO  <jet@gyve.org>
	
	* Makefile.am (autotrace_LDADD): Added -lm.
	Suggested by "Stefan A. Deutscher" <sad@utk.edu>.
	(autotrace-config.in): Specify the base file at its 
	generating rule.
	Reported by "Stefan A. Deutscher" <sad@utk.edu>.

2001-03-21  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Version 0.27.

	* output-fig.c (get_fig_colour): Added static keyword.
	(fig_col_init): Likewise.

	* output-emf.c: Added static keyword to all variable
	and functions except output_emf_writer.

	* input-bmp.[ch] (bmp_load_image): Renamed ReadBMP.

	* input-tga.[ch] (tga_load_image): Renamed ReadTGA.

2001-03-21  Martin Weber <martweb@gmx.net>

	Message-ID: <3AB7AD7B.CA58CE8A@gmx.net>.
	* README: Updated.
	
2001-03-16  Peter Cucka <pcucka@anim.dreamworks.com>

	Message-ID: <3AB26304.182F7AB2@anim.dreamworks.com>:
	* fit.c: Fixed a bug that, in centerline mode, caused a zero-length
	line segment to be added to the end of every open curve.

	* output-er.c: Modified out_splines() to correctly output open
 	curves, taking into account the above changes to fit.c.

2001-03-20  Masatake YAMATO  <masata-y@gyve.aist-nara.ac.jp>

	* configure.in: Check ImageMagick version is higher 
	than 5.2.1. Use AC_MSG_WARN instead of AC_MSG_ERROR
	if ImageMagick is not found. The user can build 
	autotrace without ImageMagick.
	This change is required by Martin.
	Message-ID: <3AB26698.DFC2341D@gmx.net>.

2001-03-15  Martin Weber <martweb@gmx.net>

	Message-ID: <3AB26698.DFC2341D@gmx.net>.
	* input-magick.c (magick_load_image): 
	dropped the support of versions older than 5.2.1.

2001-03-17  Martin Weber <martweb@gmx.net>

	Message-ID: <3AB25B23.27EDD0C1@gmx.net>.
	* output-emf.c:  Images with width or height > 
	655 were distorted.

2001-03-17  Peter Cucka <pcucka@anim.dreamworks.com>

	* pxl-outline.c: Adding some explicit casts of boolean 
	expressions to 'bool's, to keep the IRIX compiler from 
	warning about an "enumerated type mixed with another type". 
	(Logged by Masatake)
	
2001-03-16  Masatake YAMATO  <jet@gyve.org>

	Applied a patch from Martin.
	Message-ID: <3AB12888.E31072DC@gmx.net>.
	* output-emf.c: Now I fixed a bug in output-emf.c and 
	adopted it so that the generated emf files are compatible 
	to CorelDraw 9.

2001-03-15  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Added --with-magick and --without-magick
	flags to configure.
	Check ImageMagick version.

	--with-magick and --without-magick are suggested by
	"Stewart C. Russell" <stewart@ref.collins.co.uk>.

2001-03-14  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Check zlib.
	Print the required version of libpng. Suggested by 
	Martin. Message-ID: <3AABC7D4.1E7CDAA@gmx.net>.

2001-03-13  Masatake YAMATO  <jet@gyve.org>

	Applied a patch from Martin.
	Message-ID: <3AAD4C14.6072AD3C@gmx.net>.
	
	* input-magick.c (magick_load_image): Improved supports
	for various version of libmagick.

2001-03-13  Masatake YAMATO  <jet@gyve.org>

	Applied a patch from Martin.
	Message-ID: <3AAD4C65.AB2EAF23@gmx.net>.
	
	* autotrace.dsp: Updated. Reduced the size of the exe file 
	without reducing speed.

2001-03-12  Masatake YAMATO  <jet@gyve.org>

	* autotrace.h: Added copyright notice.
	* types.h: Likewise.

	* Makefile.am (INCLUDES): Renamed from libautotrace_a_INCLUDES.
	Suggested by Martin.

	* HACKING: Write about releasing scheme.

	Updated by Martin.
	Message-ID: <3AAB952E.7A1CE3A9@gmx.net>.
	* autotrace.dsp: updated.

2001-03-11  Masatake YAMATO  <jet@gyve.org>

	* input-png.c: Added arguments for png_get_color_type.

2001-03-09  Masatake YAMATO  <jet@gyve.org>

	Applied a patch from Martin.
	Message-ID: <3AA7F19A.C11E5BC2@gmx.net>.
	* autotrace.dsp: Updated.

2001-03-09  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Added -lm to LIBSWF_LDFLAGS.

	* autotrace-config.af(AF_DEF_LIBS): Added @LIBSWF_LDFLAGS@.

	* Makefile.am (autotrace_LDADD): Remove -lm.

2001-03-08  Masatake YAMATO  <jet@gyve.org>

	Applied a patch from Martin.
	Message-ID: <18838.984036759@www23.gmx.net>
	
	* NEWS: Updated.

2001-03-08  Masatake YAMATO  <jet@gyve.org>

	* NEWS: Write the place where you can libming.
	
	* output-swf.h: Use triangle brackets instead of
	double quotes to include ming.h.

	* NEWS: Write about swf output.

	* configure.in: Added ming(swf) supports.

	* Makefile.am (EXTRA_DIST): Remove swf.h.
	(HAVE_LIBSWF): Added ming(swf) supports.

2001-03-08  Masatake YAMATO  <jet@gyve.org>

	Kevin O' Gorman <k_ogorman@kompass.ie> updates swf output.
	
	* output.h: Added ".swf".

	* output.c: Addd swf handler.

	* output-swf.h: Updated.

	* output-swf.c: Updated.

2001-03-07  Masatake YAMATO  <jet@gyve.org>

	* spline.h (LINEARTYPE): 
	(QUADRATICTYPE): 
	(CUBICTYPE): 
	(PARALLELELLIPSETYPE): 
	(ELLIPSETYPE): 
	(CIRCLETYPE): Aliases for the members of 
	_at_polynomial_degree.

	* autotrace.h (_at_polynomial_degree): Added AT_ prefix
	to enum symbols.

	Applied a patch from Martin.
	Message-ID: <3AA15F77.44F4ECAF@gmx.net>.

	* autotrace.h: Improved fitting speed, reduced number of
	fitting parameters.

	* fit.c: Likewise.

	* main.c: Likewise.

 	Applied a patch from Martin.
	Message-ID: <3AA129B5.FE736C40@gmx.net>.
	
	* main.c: Replaced static bool thin; by static bool thin = false;
	in main.c otherwise there is no initialization.
	
2001-03-07  Masatake YAMATO  <jet@gyve.org>

	* types.h (struct): Remove dimensions_type.
	(DIMENSIONS_HEIGHT): Likewise.
	(DIMENSIONS_WIDTH): Likewise.

 	Applied patches from Martin.
	Message-ID: <3AA12454.6AF6FD69@gmx.net>.
	
	* autotrace.h (struct _at_bitmap_type): Remove dimensions_type.

 	* bitmap.c (new_bitmap): Likewise.

	* bitmap.h: Likewise.

 	* median.c: Likewise.

	* input-magick.c: Likewise.

	* pxl-outline.c: Likewise.

	* input-pnm.c: Likewise.

	* autotrace.c: Likewise.

	Applied patches from Martin.
	Message-ID: <3AA11C68.9B494013@gmx.net>

	* output-emf.c: Replaced TRUE and FALSE by true and false.

	* types.h: Remove TRUE and FALSE.

	Applied patches from Martin.
	Message-ID: <3AA11A4B.BD319064@gmx.net>.
	
	* autotrace.dsp: Removed usefull.h and median.h.

	* Makefile.am (libautotrace_a_SOURCES): Remove median.h.

	* types.h: Removed unnecessary #ifdef __cplusplus.

 	* usefull.h: File is removed.

	* Makefile.am (noinst_HEADERS): usefull.h is removed.

 	* fit.c: Likewise.

 	* output-er.c: Likewise.

2001-03-02  Masatake YAMATO  <jet@gyve.org>

	* pxl-outline.c: Put file name on the head of file.

	* Makefile.am: Added autotrace.m4 supports.

	* autotrace.m4: New file.

2001-02-28  Masatake YAMATO  <jet@gyve.org>

 	Applied a patch from Martin.

	* output-emf.c: Now supports centerline.

2001-02-27  Masatake YAMATO  <jet@gyve.org>

	* NEWS: Write about dxf.

 	Applied a patch from Martin.

	* NEWS: Updated.	

	* output.c: Don't include output-dxf.h and
	output-dxf12.h.

2001-02-26  Masatake YAMATO  <jet@gyve.org>

 	Applied a patch from Martin.
	
	* output.c: Remove dxf supports.

 	* Makefile.am (output_src): Likewise.

	* autotrace.dsw: Updated.

	* autotrace.dsp: Likewise.
	
2001-02-25  Masatake YAMATO  <jet@gyve.org>

	Applied two patches from Martin.

	* output-p2e.c: Now supports centerline.

 	* output-sk.c: Likewise.

	* output-svg.c: Likewise.	

2001-02-25 Ian MacPhedran <Ian_MacPhedran@engr.USask.Ca>

	* output-fig.c: Updated.
	Added support for the "centerline" option
	Added code to reduce the number of FIG "levels" produced
 
2001-02-24  Masatake YAMATO  <jet@gyve.org>

	Applied patches from Martin.
	
	* output-eps.c: Made the centerline eps output 
	compatible to CorelDraw.

	Applied patches from Martin.

	* thin-image.c: 
	Made it C++ compatible again (replaced delete by todelete) and 
	removed some warnings.

 	* output-er.c: Made it C++ compatible, replaced malloc my 
	XMALLOC and removed some unnecessary code.

	* pxl-outline.c: Moved edge.h to pxl-outline.c, some cleanup and
	removed some warnings.

	* edge.h: Removed, because the code was added to pxl-outline.c.

2001-02-24  Masatake YAMATO  <jet@gyve.org>

	* median.c (quantize): Applied a patch from Martin.
	-- I removed a bug in median.c:
	fixed wrong color count

2001-02-23  Masatake YAMATO  <jet@gyve.org>

	* HACKING (Autofig): Updated.

	* autogen.sh: Check whether autofig is existed or not.

	Applied patches from Martin.
	-- I removed some compiler warnings in color.h 
	and pxl-outline.c. Also I have a new autotrace.dsp.

	* pxl-outline.c: Updated.

	* color.h: Updated.

	* autotrace.dsp: Updated.

2001-02-23  Masatake YAMATO  <jet@gyve.org>
	
	* configure.in: Set version to 0.27pre.

	* output-eps.c (out_splines): Use at_centerline.

	* main.c (main): Use at_centerline.
	(centerline): static scope.
	
	* autotrace.[hc] (at_centerline): New varaible.
	
2001-02-22  Masatake YAMATO  <jet@gyve.org>

	* output.h (OUTPUT_SUFFIX_LIST): Added "er".

2001-02-20  Martin Weber <martweb@gmx.net>

	-- Centerline vectorization

	* Makefile.am: Added output-er.c and .h.

	* autotrace.c: Modified at_splines_new() to support centerline
		vectorization.

	* autotrace.h: Added 'open' flag to at_spline_list_type.

	* color.h: Added COLOR_LUMINANCE() macro.

	* curve.h: Added 'open' flag to curve_list_type.

	* fit.c: Made several modifications to handle open curves.

	* input-pnm.c: In pnm_load_image(), replaced fopen()/fclose()
		with xfopen()/xfclose() (see below).

	* main.c: Added a -centerline option.  Commented out a call to
		free() that was causing memory corruption.  Fixed a bug
		in the conversion to decimal of the -background-color
		hex string.  Reinstated 'remove_adj_corners' and 'thin'
		globals as temporary variables (because the SGI MIPSpro
		compiler doesn't allow initializing 'long_options' with
		the addresses of a non-static variables).

	* median.c: Added rudimentary support for single-channel images
		(by interpreting them as three-channel images for which
		R = G = B).  Changed the way the background color is
		handled.  Changed some function prototypes.

	* output-eps.c: Made changes to support open curves.

	* output-er.c,
	  output-er.h: New; adds Elastic Reality shape file output.

	* output.c: Added Elastic Reality shape file output format (see
		output-er.c and .h).

	*  pxl-outline.c: Added find_centerline_pixels() and supporting
		functions find_one_centerline(), concat_pixel_outline(),
		next_edge(), next_unmarked_outline_edge(), opposite_edge(),
		mark_pixel(), next_unmarked_outline_pixel(),
		is_marked_pixel(), num_neighbors(), num_marked_neighbors(),
		and is_open_junction() (some of these, as well as a few
		macros, were resurrected from an earlier version of AutoTrace).

	* pxl-outline.h: Added 'open' flag to pixel_outline_type.
		Added function find_centerline_pixels().  Added optional
		background color parameter to find_outline_pixels().

	* quantize.h: Changed function prototype for quantize().

	* spline.c: Reinstated patch to evaluate_spline() for SGI MIPSpro
		compiler.

	* thin-image.c: Added support for single-channel images.  Rewrote
		code to eliminate most inner-loop function calls.  Fixed
		two bugs that caused problems with border pixels.  Replaced
		hard-coded BACKGROUND color with an optional parameter.

	* thin-image.h: Added optional background color parameter to 
		thin_image().

	* vector.c: Rewrote normalize() to not abort if the vector is
		zero-length.

	* xstd.c: Modified xfopen() and xfclose() to allow reads from stdin.

2001-02-21  Masatake YAMATO  <jet@gyve.org>
		
	[Patches from from Martin.]

	* THANKS: Updated contributors.

	* types.h: Fixed a bug when compiling with C++.

 	* Makefile.am (EXTRA_DIST): Added vc++6.0.txt 
	autotrace.dsp autotrace.dsw.

2001-02-19  Masatake YAMATO  <jet@gyve.org>

	Applied patches from Martin.
	* main.c(read_command_line): removed bad 
	initialisation of opts

        * input.c(input_get_handler_by_suffix): Removed warning.
	magick_load_image is casted to input_read.

        * input-tga.c: removed unistd.h because it does not 
	compile with Windows.

2001-01-20  Masatake YAMATO  <jet@gyve.org>

	* input-magick.c: Applied a patch from Martin.
	Added special care for 
	(MagickLibVersion >= 0x500) && (MagickLibVersion <= 0x525).

2001-01-10  Masatake YAMATO  <jet@gyve.org>

	* median.c: Appled a patch from Martin.
	(median_cut_rgb): Rid ^M.

2000-12-02  Masatake YAMATO  <jet@gyve.org>

	Following two changes are suggested 
	by Brian V. Smith <bvsmith@epb1.lbl.gov>.
	
	* input-magick.c (magick_load_image): Invoke
	GetExceptionInfo if MagickLibVersion > 0x500.
	
	* input-tga.c: Include unistd.h.
	
2000-12-01  Masatake YAMATO  <jet@gyve.org>

	* Merge branch TOWARD_RELEASE_0_26->RELEASE_0_26.

	2000-11-16  Masatake YAMATO  <jet@gyve.org>

		- configure.in: Version 0.26.

	2000-11-15  Masatake YAMATO  <jet@gyve.org>

		- pxl-outline.c: Applied a patch from Martin.

2000-11-21  Masatake YAMATO  <jet@gyve.org>

	* main.c (read_command_line): Use at_color_new.

	* autotrace.[ch] (at_fitting_opts_copy): 
	(at_color_new):
	(at_color_free):
	(at_color_copy): New functions.
		
2000-11-20  Masatake YAMATO  <jet@gyve.org>

	* HACKING: Write about autofig.
	Write about Library usage.

	* configure.in (AC_OUTPUT): Generate autotrace-config.

	* autotrace-config.af: New file.

	* Makefile.am: Added target for autotrace-config.

	* autotrace.h: Put typedefs here.

	* autotrace.c (at_home_site): New function.

	* Makefile.am (autotraceinclude_HEADERS): Only 
	types.h and autotrace.h are installed.

2000-11-18  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (autotraceinclude_HEADERS): 
	Added image-header.h. 
	(noinst_HEADERS): Added xstd.h, epsilon-equal.h,
	logreport.h, usefull.h, message.h.
	(libautotrace_a_SOURCES): Added quantize.h and
	median.h.

	* (substring.[ch]): Merged into filename.c.

	* (concat3.[ch]): Likewise.

	* xstd.h: xmem.h, xf*.[ch] are unified.

	* filename.[ch]: *-suffi?x and are unified.

2000-11-17  Masatake YAMATO  <jet@gyve.org>

	Make codes C++-clean. Suggested by 
	Glunz Wolfgang <Wolfgang.Glunz@icn.siemens.de>
	and 
	Reini Urban <rurban@sbox.tu-graz.ac.at>.
	
	* autotrace.h: Added an extern "C". 

	* fit.c (remove_adjacent_corners): Rename new to
	new_list.

	* getopt.h: Added an extern "C". 

	* thin-image.c (delete_map): Renamed from `delete'. 
	(thin_image): Add a cast to return value of malloc.
	(thin): Likewise.
	(thin): Use delete_map.

2000-11-14  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (autotrace_SOURCES): Move some files
	to libautotrace_a_SOURCES from autotrace_SOURCES.

	* main.c (read_command_line): Use at_version().

	* autotrace.c (at_version): New function.

	* Makefile.am: Create libautotrace.a.

	* main.c: use autotrace.[ch].

	* autotrace.c: New file.

	* autotrace.h: New file.

	* output.c(output_list): New function.

	* input.c (input_format_entry): Added descr field.
	(input_list): New function.
	(input_list_formats): Move to main.
	
	* fit.h (fitting_opts_type): Added new field `thin'.

	* fit.c (new_fitting_opts): Initialize thin.

	* README (http): Remove files in main part.

	* Makefile.am (autotrace_SOURCES): Added autotrace.[ch].

	* fit.c: Apply a patch from martin.
	"I fixed a bug in fit.c that sometimes causes an endless 
	loop in AutoTrace."

	* main.c: Don't include main.h.
	Include image-header.h.

	* Makefile.am (autotrace_SOURCES): Remove main.h.
	
	* main.c(input_reader): Renamed from load_image.
	Use type input_read.
	(input_extension): Removed unused variable
	(set_input_format): 
	(set_input_format_by_suffix): Removed.
	Use input_get_handler* instead.
	(main): Check `input_reader' is set or not before
	set. 
	Set output format and open output before oput input.
	Close output.
	Call free_bitmap instead of calling free directly.
	(image_header):	 Make the scope of `image_header' to 
	main local from global.

	* THANKS: New file.

	* input-magick.c: Replaced with new one from Martin.

	* Makefile.am (INCLUDES): -Wall is removed.

2000-11-11  Masatake YAMATO  <jet@gyve.org>

	* Makefile.am (autotrace_LDADD): Added LIBPNG_LDFLAGS
	to autotrace_LDADD.

2000-11-10 Martin Weber <martweb@gmx.net>
	Removed warning in pxl-outline.c
2000-11-06 Martin Weber <martweb@gmx.net>
	Fixed some warnings with gcc on AIX in xmem.h
2000-11-04 Martin Weber <martweb@gmx.net>
	Removed warning for input-magick.c
	Improved input-p2e.c
2000-11-03 Martin Weber <martweb@gmx.net>
	Fixed a bug in input-bmp.c
2000-11-02 Martin Weber <martweb@gmx.net>
	pxl-outline.c completely rewritten
	removed edge.c
2000-10-30 Martin Weber <martweb@gmx.net>
	Removed problems with nonvalid filenames.
	Fixed some compiler warnings.
2000-10-22 Martin Weber <martweb@gmx.net>
	Made code more portable
2000-10-22 Dan Mills <dmills@demon.co.uk>
	Added thinning
2000-10-20 Martin Weber <martweb@gmx.net>
	Some cosmetic changes
	updates for a bug in pxl-outline.c
	replaced boolean by bool
	better quantization
	fixed tga import for gray images
	...
2000-10-11  Enrico Persiani <e.persiani@bo.nettuno.it>

	* output-emf.c: 

	1. Improved output efficiency by grouping shapes of the same color
	2. Corrected an ERROR on filling shapes with holes 
	3. If the user tries to output EMF on stdout, an error message is
	sent to stderr
	
2000-10-11  MenTaLguY <mental@rydia.net>

	(This log entry is written by Masatake YAMATO).
	
	* Makefile.am (EXTRA_DIST): Added input-png.*.
	(input_png_src): Likewise. 

	* configure.in: Added png check code.
	Masatake YAMATO also added STAGE1 check.

	* input-png.[hc]: New files.	

2000-10-11  Masatake YAMATO  <jet@gyve.org>

 	* main.c: Include input.h only.
	(input_extension): Comment out unused variable.
	(set_*_input_format): Removed. Use input_get_handler* instead.
	(INPUT_SUFFIX_LIST): Move to input.h.
	(list-output-formats): A option renamed from list-formats.
	(list-input-formats): New option.

	* configure.in(AM_INIT_AUTOMAKE): Define package and version.

	* Makefile.am (autotrace_SOURCES): Added input.c and .h.

	* output.h (OUTPUT_SUFFIX_LIST): Move definition from
	main.c.

	* version.c(version_string): Append VERSION defined 
	in configure.in.

	* input.[hc]: New file.
	  input.[hc] is based on a patch from "MenTaLguY"
	  <mental@rydia.net>.	

2000-10-04  Masatake YAMATO  <jet@gyve.org>

	* output-emf.c: Revised by 
	Enrico Persiani <persiani at students.cs.unibo.it>.

	  1. Fixed a bug that caused crashes when the output 
	  was redirected to stdout

	  2. Cleaned the code from unused variable definitions

	  3. Removed a data-type (EMFPoint) and a function (write8) 
	  not used by the main conversion code.

2000-10-03  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Fix a typo. (MAGIC->MAGICK).

	* Makefile.am (EXTRA_DIST): Added input-magick.[ch].

	* output-emf.c (OutputEmf): Set return type to void.

	* output.c: Added emf as a new output format.

	* Makefile.am (output_src): Added output-emf.[ch].

	* main.c (INPUT_SUFFIX_LIST): Renamed SUFFIX_LIST.
	(OUTPUT_SUFFIX_LIST): New constant.
	(OUTPUT_SUFFIX_LIST): Added emf as a new output format.

	* output-emf.[hc]: New files from 
	  Enrico Persiani <persiani at students.cs.unibo.it>.

	
2000-10-01  Masatake YAMATO  <jet@gyve.org>

	* xmem.h: Replaced with new one which is sent from Martin.

2000-09-29  Masatake YAMATO  <jet@gyve.org>

	* configure.in: Check magick/api.h.

	* spline.c (evaluate_spline): Appleid a patch that avoid a bug
	in MIPSpro compiler (from Peter Cucka <pcucka at anim.dreamworks.com>).

	* Makefile.am (input_magick_src): Remove "". This causes an
	error when "make dist" is invoked.
	(autotrace_SOURCES): Remove type.h.

2000-09-28  Masatake YAMATO  <jet@gyve.org>

	* main.c: Added tag file format support.

	* Makefile.am (autotrace_SOURCES): Split the file set
	into autotrace_SOURCES, input_magick_src and output_src.
	(input_src): Added input-tga.[hc].

	* input-bmp.[hc]: Replace old files with new files sent
	from Martin.

	* input-tga.[hc]: New file from Martin.
 	(ReadImage): Initialize pels with 0 instead of NULL.
	Initialize image.bitmap after local variable declarations.

2000-09-26  Masatake YAMATO  <jet@gyve.org>

	* output-eps.c: Applied a revised patch from
	Bernhard Herzog <herzog@online.de>.

	  Message-ID: <m3itro7146.fsf@greebo.nodomain.de>
	  Subject: Re: [AutoTrace] autotrace 0.23
	  From: Bernhard Herzog <herzog@online.de>
	  To: autotrace@egroups.com
	  Date: 22 Sep 2000 20:06:17 +0200


	* main.c: Applied a patch from <Johannes.Schindelin@gmx.de> 
	for Magick input support. See blocks surrounded by HAVE_MAGICK.
	(SUFFIX_LIST): New macro definition.

 	* input-magick.[ch]: Magick input plug donated by 
	<Johannes.Schindelin@gmx.de>.
	
	* configure.in(MAGICK_CONFIG): Check Magick-config.

	* Makefile.am(HAVE_MAGICK): New condition.

	* output-eps.c: Applied a patch from 
	Bernhard Herzog <herzog@online.de>.
		
          Message-ID: <m3og1g7brh.fsf@greebo.nodomain.de>
	  Subject: Re: [AutoTrace] autotrace 0.23
	  From: Bernhard Herzog <herzog@online.de>
	  To: autotrace@egroups.com
	  Date: 22 Sep 2000 16:16:18 +0200

	* fit.c: Include both limits.h and float.h.
	(fit_with_least_squares): Use %lx instead of %x.
	Cast left_curve to unsigned long.
	(fit_with_least_squares): Likewise.

	* curve.c (log_curve): Likewise.
	(log_entire_curve): Likewise.

 	* xmem.h (XREALLOC): Likewise.
		
	* .cvsignore: Added .deps, autotrace, config.cache, config.log,
	config.status and Makefile.
	

	* Makefile.am (AUTOMAKE_OPTIONS): Added AUTOMAKE_OPTIONS.

